Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2645073002: Inline FundamentalValue into base::Value (Closed)

Created:
3 years, 2 months ago by jdoerrie
Modified:
3 years, 1 month ago
Reviewers:
brettw
CC:
vabr (Chromium), chromium-reviews, vmpstr+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Inline FundamentalValue into base::Value This change is a first step towards implementing the proposed refactoring of base::Value described in http://docs/document/d/1uDLu5uTRlCWePxQUEHc8yNQdEoE1BDISYdpggWEABnw/edit#heading=h.icznl3bfmf6v. The main goal of the proposal is to move to value semantics. This is done by implementing an API similar to std::variant removing the need for derived classes. BUG=646113 Review-Url: https://codereview.chromium.org/2645073002 Cr-Commit-Position: refs/heads/master@{#447484} Committed: https://chromium.googlesource.com/chromium/src/+/05eb316801c899b16b7ed77b628d1e2a498e26e3

Patch Set 1 #

Patch Set 2 : Public Constructors and Declaration Order according to Style Guide #

Patch Set 3 : Typedef FundamentalValue to Value #

Total comments: 3

Patch Set 4 : Test for Safe Assignment #

Total comments: 2

Patch Set 5 : Use literals for default initialization. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+334 lines, -134 lines) Patch
M base/values.h View 1 2 6 chunks +33 lines, -38 lines 0 comments Download
M base/values.cc View 1 2 3 4 6 chunks +176 lines, -94 lines 0 comments Download
M base/values_unittest.cc View 1 2 1 chunk +123 lines, -0 lines 0 comments Download
M skia/ext/benchmarking_canvas.cc View 1 2 1 chunk +2 lines, -2 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 21 (16 generated)
jdoerrie
https://codereview.chromium.org/2645073002/diff/40001/skia/ext/benchmarking_canvas.cc File skia/ext/benchmarking_canvas.cc (left): https://codereview.chromium.org/2645073002/diff/40001/skia/ext/benchmarking_canvas.cc#oldcode59 skia/ext/benchmarking_canvas.cc:59: return std::move(val); After the typdef this results in a ...
3 years, 2 months ago (2017-01-21 15:06:52 UTC) #10
brettw
LGTM. Before checking in, we should make the CL description describe why we're doing this. ...
3 years, 2 months ago (2017-01-23 05:52:50 UTC) #11
jdoerrie
Thanks, Brett! https://codereview.chromium.org/2645073002/diff/40001/skia/ext/benchmarking_canvas.cc File skia/ext/benchmarking_canvas.cc (left): https://codereview.chromium.org/2645073002/diff/40001/skia/ext/benchmarking_canvas.cc#oldcode59 skia/ext/benchmarking_canvas.cc:59: return std::move(val); On 2017/01/23 05:52:50, brettw (ping ...
3 years, 2 months ago (2017-01-24 08:59:35 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2645073002/80001
3 years, 1 month ago (2017-02-01 08:38:37 UTC) #18
commit-bot: I haz the power
3 years, 1 month ago (2017-02-01 10:37:40 UTC) #21
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/05eb316801c899b16b7ed77b628d...

Powered by Google App Engine
This is Rietveld 408576698